<?php

/* Originally written by Farhadi , www.farhadi.ir */
/* Optimized by AMIB */

function convertToFarsi($matches) {
	$mps_jd_optionsDB = get_option(MPS_JD_OPTIONS_NAME);
	$mps_jd_decimal = $mps_jd_optionsDB[ 'mps_jd_decimal' ];
	if( $mps_jd_decimal === '1' ) {
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '٫' );
	} else {
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '.' );
	}
	
	$english_array = array( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.' );
	
	$out = '';
	if ( isset( $matches[ 1 ] ) ) {
		return str_replace( $english_array, $farsi_array, $matches[ 1 ] );
	}
	return $matches[ 0 ];
}

function farsi_num($num,$fake = null,$fake2=null) {
	//return preg_replace_callback('/(?:&#\d{2,4};)|(\d+[\.\d]*)|(?:[a-z](?:[\x00-\x3B\x3D-\x7F]|<\s*[^>]+>)*)|<\s*[^>]+>/i', 'convertToFarsi', $num);
	$num = preg_replace_callback( '/(>[\d\(\)\s,:%=+-\/]*\d[\d\(\)\s,:%=+-]*<)/i', 'convertToFarsi', $num );
	return preg_replace_callback( '/(?:[a-z"\'&#`][\x00-\x3B=\x3F-\x80]*\d)|([\x80-\xff\x28-\x2f\x5b-\x5f.%^\s\d:=\-]*[\x80-\xff][\x80-\xff\x28-\x2f\x5b-\x5f.%^\s\d:=]*)/i', 'convertToFarsi', $num );
}

function farsi_num_all( $num ) {
	$mps_jd_optionsDB = get_option( MPS_JD_OPTIONS_NAME );
	$mps_jd_decimal = $mps_jd_optionsDB[ 'mps_jd_decimal' ];
	if( $mps_jd_decimal === '1' ) {
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '٫' );
	} else {
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '.' );
	}
	
	$english_array = array( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.' );
	
	return str_replace( $english_array, $farsi_array, $num );
}

function farsi_num_categories( $categories ) {
	$mps_jd_optionsDB = get_option( MPS_JD_OPTIONS_NAME );
	$mps_jd_decimal = $mps_jd_optionsDB[ 'mps_jd_decimal' ];
	if( $mps_jd_decimal === '1' ) {
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '٫' );
	} else {
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '.' );
	}
	
	$english_array = array( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.' );
	
	foreach ( $categories as &$value ) {
		$value->name = str_replace( $english_array, $farsi_array, $value->name );
	}
	
	unset( $value );
	return $categories;
}

function english_num($num) {
	$mps_jd_optionsDB = get_option(MPS_JD_OPTIONS_NAME);
	$mps_jd_decimal = $mps_jd_optionsDB['mps_jd_decimal'];
	if( $mps_jd_decimal === '1' )
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '٫' );
	else
		$farsi_array = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹', '.' );
	
	$english_array = array( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.' );
	
	return str_replace( $farsi_array, $english_array, $num );
}
?>